Subject: Re: [PATCH wip-gnome v5 5/8] gnu: libsoup: Adjust inputs.

From: Leo Prikler <[email-masked]>
Date: Wed, 28 Apr 2021 16:40:03 +0200

Am Mittwoch, den 28.04.2021, 09:07 -0400 schrieb Raghav Gururajan:
> Hi Leo,
> 
> > After looking at this more closely, the comment is a little
> > misleading,
> > since the libsoup-2.4.pc does not actually refer to glib-
> > networking.
> > What is the rationale behind this propagation?
> > In v1 you claimed the .pc file mentions this, but I don't see any
> > of
> > it:
> > libsoup-2.4.pc:Requires: glib-2.0 >=  2.58, gobject-2.0 >=  2.58,
> > gio-
> > 2.0 >=  2.58
> > libsoup-2.4.pc:Requires.private: libxml-2.0, sqlite3, libpsl
> > >=  0.20,
> > libbrotlidec, zlib
> > libsoup-gnome-2.4.pc:Requires: libsoup-2.4
> > libsoup-gnome-2.4.pc:Requires.private: glib-2.0 >=  2.58, gobject-
> > 2.0
> > > =  2.58, gio-2.0 >=  2.58, libxml-2.0, sqlite3, libpsl >=  0.20,
> > libbrotlidec, zlib
> 
> It `gio` I was referring to. GIO can mean [glib]/lib/libgio or 
> [glib-networking]/lib/gio/modules/libgio* or both. It depends on
> what 
> package it is. Libsoup is a networking package, which uses 
> glib-networking as tls backend. So GIO networking modules provided
> by 
> glib-networking, is required by libsoup at runtime.
I don't think "gio inside .pc" means that, however.  I do agree, that
it might be worth propagating it as a runtime dependency, but it should
be done with a suitable comment.

Regards,
Leo